# Network throughput

A decision block that checks the current network throughput.

If the proceed option is set to Immediately, then check the currently network throughput without pausing the fiber. If set to When changed, then the fiber will pause until the network throughput has changed.

If both minimum throughput and maximum throughput is set and doesn’t evaluate to `null` then the network throughput must be within the throughput range. If only minimum is set, then the throughput must be greater than or equal to it. If only maximum is set, then the throughput must be less than or equal to it. If neither minimum nor maximum is set, then the current throughput is just assigned to the current throughput variable without a check.

Specifying a package, except `com.llamalab.automate`, is not supported on Android 7+.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Data direction — direction of data; upload, download or both, default is Both.
- Minimum throughput — minimum network throughput in bytes per second.
- Maximum throughput — maximum network throughput in bytes per second.
- Package — package name of an app, to only check its network throughput. (Android 6-)

## Output variables

- Current throughput — variable to assign the current network throughput in bytes per second.